Subject: Re: [PATCH net-next 2/3] cxgb4: Remove unused declarations

From: Simon Horman <[email-masked]>
Date: Fri, 30 Aug 2024 08:35:53 +0100

On Thu, Aug 29, 2024 at 08:37:06PM +0800, Yue Haibing wrote:
> Commit e2d14b42c25c ("cxgb4: Remove WOL get/set ethtool support") removed
> t4_wol_magic_enable() and t4_wol_pat_enable() but leave declarations.
> 
> Commit 02d805dc5fe3 ("cxgb4: use new fw interface to get the VIN and smt
> index") leave behind cxgb4_tp_smt_idx().
> 
> cxgb4_dcb_set_caps() is never implemented and used since introduction in
> commit 76bcb31efc06 ("cxgb4 : Add DCBx support codebase and dcbnl_ops").
> 
> Signed-off-by: Yue Haibing <[email-masked]>

Thanks, I agree with your analysis.

Reviewed-by: Simon Horman <[email-masked]>